Package it.ernytech.tdlib

## Class TdApi.UpdateNewInlineQuery

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateNewInlineQuery

Enclosing class:
  TdApi

    public static class TdApi.UpdateNewInlineQuery
    extends TdApi.Update

A new incoming inline query; for bots only.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `id` Unique query identifier.
`java.lang.String` `offset` Offset of the first entry to return.
`java.lang.String` `query` Text of the query.
`int` `senderUserId` Identifier of the user who sent the query.
`TdApi.Location` `userLocation` User location, provided by the client; may be null.

### Constructor Summary

Constructors
`UpdateNewInlineQuery()` Default constructor.
`UpdateNewInlineQuery​(long id, int senderUserId, TdApi.Location userLocation, java.lang.String query, java.lang.String offset)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public long id

Unique query identifier.

#### senderUserId

    public int senderUserId

Identifier of the user who sent the query.

#### userLocation

    public TdApi.Location userLocation

User location, provided by the client; may be null.

#### query

    public java.lang.String query

Text of the query.

#### offset

    public java.lang.String offset

Offset of the first entry to return.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateNewInlineQuery

    public UpdateNewInlineQuery()

Default constructor.

#### UpdateNewInlineQuery

    public UpdateNewInlineQuery​(long id,
                                int senderUserId,
                                TdApi.Location userLocation,
                                java.lang.String query,
                                java.lang.String offset)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique query identifier.
  `senderUserId` - Identifier of the user who sent the query.
  `userLocation` - User location, provided by the client; may be null.
  `query` - Text of the query.
  `offset` - Offset of the first entry to return.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR